// Copyright (c) 2017 Uber Technologies, Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

package cherami

import cherami "github.com/uber/cherami-client-go/client/cherami"
import mock "github.com/stretchr/testify/mock"

// Consumer is an autogenerated mock type for the Consumer type
type Consumer struct {
	mock.Mock
}

// AckDelivery provides a mock function with given fields: deliveryToken
func (_m *Consumer) AckDelivery(deliveryToken string) error {
	ret := _m.Called(deliveryToken)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(deliveryToken)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Close provides a mock function with given fields:
func (_m *Consumer) Close() {
	_m.Called()
}

// NackDelivery provides a mock function with given fields: deliveryToken
func (_m *Consumer) NackDelivery(deliveryToken string) error {
	ret := _m.Called(deliveryToken)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(deliveryToken)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Open provides a mock function with given fields: deliveryCh
func (_m *Consumer) Open(deliveryCh chan cherami.Delivery) (chan cherami.Delivery, error) {
	ret := _m.Called(deliveryCh)

	var r0 chan cherami.Delivery
	if rf, ok := ret.Get(0).(func(chan cherami.Delivery) chan cherami.Delivery); ok {
		r0 = rf(deliveryCh)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(chan cherami.Delivery)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(chan cherami.Delivery) error); ok {
		r1 = rf(deliveryCh)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Pause provides a mock function with given fields:
func (_m *Consumer) Pause() {
	_m.Called()
}

// Resume provides a mock function with given fields:
func (_m *Consumer) Resume() {
	_m.Called()
}

var _ cherami.Consumer = (*Consumer)(nil)
